Summary: A hard drive space monitor.
Name: diskcheck
Version: 3.1.1
Release: 10
Copyright: GPL
Group: Applications/System
URL: http://www.kaybee.org/~kirk/html/linux.html
Source: ftp.kaybee.org:/pub/linux/diskcheck-3.1.1.tar.gz
Patch0: tmpfile.patch
Requires: crontabs,fileutils,mailx,perl
BuildRoot: /var/tmp/diskcheck-build
BuildArch: noarch

%description
DiskCheck is a Perl script that monitors how much space is available
on your hard drive.  Basically, it checks your drive space every
hour and takes action based on the specifications in a very simple
config file.  Normally, DiskCheck just reports that a disk or disks
are near capacity to the system administrator.  Note that you will
need to have Perl installed in order to use DiskCheck.

%post
%prep
%setup -q
%patch0 -p1

%build

%install
mkdir -p ${RPM_BUILD_ROOT}/etc/cron.hourly
install -m 0755 diskcheck.pl ${RPM_BUILD_ROOT}/etc/cron.hourly/diskcheck.pl
install -m 0660 diskcheck.conf ${RPM_BUILD_ROOT}/etc/diskcheck.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/diskcheck.conf
/etc/cron.hourly/diskcheck.pl

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jun 8 2000 Tim Powers <timp@redhat.com>
- patched so that it doesn't write tmpfile to /tmp. RE: bug 11724

* Tue May 9 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Fri Jan 7 2000 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Tue Jul 13 1999 Tim Powers <timp@redhat.com>
- added %defattr
- rebuilt for 6.1

* Fri Apr 17 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
